##
##  ttf2svg.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_ttf2svg      1.2.0
%define       V_ttf2svg_snap 20240211

#   package information
Name:         ttf2svg
Summary:      TrueType to Scalable Vector Graphics (SVG) Converter
URL:          https://github.com/qdsang/ttf2svg
Vendor:       qdsang
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      MIT
Version:      %{V_ttf2svg}
Release:      20240211

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/ttf2svg/ttf2svg-%{V_ttf2svg}-%{V_ttf2svg_snap}.tar.xz
Source1:      ttf2svg.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a small utility which converts TTF fonts to SVG format.

%track
    prog ttf2svg:release = {
        disabled
        comment   = "no releases officially tagged"
        version   = %{V_ttf2svg}
        url       = https://github.com/qdsang/ttf2svg/releases
        regex     = (\d+\.\d+\.\d+)
    }
    prog ttf2svg:snapshot = {
        version   = %{V_ttf2svg_snap}
        url       = http://download.openpkg.org/components/versioned/ttf2svg/
        regex     = ttf2svg-\d+\.\d+\.\d+-(\d+)\.tar\.xz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/ttf2svg
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE ttf2svg.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/ttf2svg
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/ttf2svg/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

